package app.furmeet.events.system.schedule.abstractDataTypes

import com.brandongogetap.stickyheaders.exposed.StickyHeader

class StickyHourHeader(
        val date: GregorianCalendarRange
) : StickyHeader {

    override fun equals(other: Any?): Boolean {
        return when (other) {
            null -> false
            is StickyHourHeader -> date == other.date
            else -> super.equals(other)
        }
    }

    override fun hashCode(): Int {
        return date.hashCode()
    }
}